#include <iostream>
using namespace std;
void func_f(int *t, char *l);
void func_c(int *t, char *l);
int main()
{
    cout << "Digite a temperatura seguida da letra que corresponde a sua escala\n"; 
    cout << "(C para Célsius ou F para Farenheit)\n\n";
    int temp;
    char letra;
    cin >> temp >>  letra;
    
    func_f(&temp, &letra);                  
    func_c(&temp, &letra);
    
    if(letra!='c' && letra != 'f' && letra != 'C' && letra != 'F')
    cout << "Digite apenas f(F) ou c(C)\n\n";
    
    system("pause");
    return 0;
}
void func_f(int *t, char *l)
{

    int f;
    if(*l == 'c' || *l== 'C')
    {
             f=((9*(*t))+160)/5;
             cout << f << " F" << "\n";
    }

}

void func_c(int *t, char *l)
{
     int c;
    if(*l == 'f' || *l == 'F')
    {
             c=((5*(*t))-160)/9;
             cout << c << " C" << "\n";
    }  

}
